search menu icon-carat-right cmu-wordmark

CERT Coordination Center

Ethereal fails to properly handle a zero-length Presentation protocol selector

Vulnerability Note VU#792286

Original Release Date: 2004-03-24 | Last Revised: 2004-04-05

Overview

Ethereal fails to properly handle a zero-length Presentation protocol selector, which could cause Ethereal to crash.

Description

Ethereal is a network traffic analysis package. There is a vulnerability in the way Ethereal processes a zero-length Presentation protocol selector. Exploitation of this vulnerability could cause Ethereal to crash.

Impact

Exploitation of this vulnerability could cause Ethereal to crash.

Solution

Upgrade

Upgrade to version 0.10.3 or later.

Note: Ethereal is considered BETA software at this time.

Vendor Information

792286
 
Affected   Unknown   Unaffected

Ethereal

Updated:  March 24, 2004

Status

  Vulnerable

Vendor Statement

Please see the Ethereal Security Bulletin at http://www.ethereal.com/appnotes/enpa-sa-00013.html.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

The CERT/CC has no additional comments at this time.

If you have feedback, comments, or additional information about this vulnerability, please send us email.


CVSS Metrics

Group Score Vector
Base N/A N/A
Temporal N/A N/A
Environmental N/A

References

Acknowledgements

This vulnerability was reported by the developers of Ethereal.

This document was written by Damon Morda.

Other Information

CVE IDs: None
Severity Metric: 2.21
Date Public: 2004-03-22
Date First Published: 2004-03-24
Date Last Updated: 2004-04-05 20:48 UTC
Document Revision: 12

Sponsored by the Department of Homeland Security Office of Cybersecurity and Communications.